Stange Cups Problem: "/dev/lp0": Permission denied

Gerhard Gaußling ggrubbish at web.de
Thu Jun 30 18:50:50 UTC 2005


Am Dienstag 07 Juni 2005 22:10 schrieb macsek:
> Well, it seems, that cupsd runs as lp user, lpadmin group, and cannot
> open /dev/lp0, /dev/usb/lp0. I modified these devices to have lp/lp
> (user/group) instead of root/lp
> (/etc/udev/permissions.d/udev.permissions):
>
>
>
>
> Code:
> --------------------
>
>
>   printers/*:lp:lp:0660
>
>   usb/lp[0-9]*:lp:lp:0660
>
>   usb/legousbtower[0-9]*:root:root:666
>
>   lp[0-9]*:lp:lp:0660
>
>   parport[0-9]*:lp:lp:0660
>
>   irlpt[0-9]*:lp:lp:0660
>
>   usblp[0-9]*:lp:lp:0660
>
>
> --------------------
>
>
>
>
> (Pull out and replug USB cable to check, or  chown lp:lp /dev/lp0.)
>
>
>
> Then it works without having to set 0666 or chmod o+rw on devices -
> which is bad thing.
>
>
>
> (First I tried root/lpadmin, but it did not work...)
>
>
>
> I just wonder how it is supposed to work...
>

Hello Macsek,

thank you for your advice. I changed the lines in 
the /etc/udev/permissions.d/udev.permissions like you suggested, and it 
solved some problems for me, but I'm still fighting with 
foomatic-gui[1]. 

And also I got still some issues with the turboprint.de driver for 
x86_64 .

Kind regards

Gerhard Gaußling

[1]
which seems to depend on  python-gnome2-extras python2.4-gnome2-extras, 
according to the upgrade I did to debian sid foomatic-gui 0.7.4.15
$ sudo apt-get install foomatic-gui=0.7.4.15 this installed the above 
mentioned packages. After a downgrade to the hoary version of 
foomatic-gui foomatic-gui started.
 https://launchpad.ubuntu.com/malone/bugs/1021/
 




More information about the ubuntu-users mailing list